#!/bin/bash
# psub.bash

# Tel qu'inspiré par Diego Molina (merci !).
# Traduction : Jean-Philippe Guérard

declare -a tableau0
while read
do
  tableau0[${#tableau0[@]}]="$REPLY"
done &lt; &lt;( sed -e 's/bash/CRASH-BANG!/' $0 | grep bin | awk '{print $1}' )
#  Utilise la substitution de processus pour définir « $REPLY », la
#+ variable par défaut renvoyée par « read », puis la copie dans un
#+ tableau.

echo "${tableau0[@]}"

exit $?

# ====================================== #

bash psub.bash

#!/bin/CRASH-BANG! done #!/bin/CRASH-BANG!
